Subject: [lojban] Re: Y+NAI is not grammatical; jbofi'e is not always right (was Re: ynai)

From: "Craig" <[email-masked]>
Date: Fri, 18 Apr 2003 18:29:07 -0400

>Looking at the BNF, it doesn't look like it should be grammatical:

>indicator:	(UI | CAI) [NAI] | Y | DAhO | FUhO

>and the informal rules

>word:	[BAhE] any-word [indicators]
>any-word	: "any single word (no compound cmavo)"

>are the relevant parts. The Y rule doesn't support NAI, so I think
>the author of jbofi'e probably cheated and implemented Y as a UI
>for easiness.

As I say, I do not read BNF. I couldn't find mention of Y+NAI in the Book,
so when I realized that y was in its own cmavo (I had mislearned it as a UI)
I checked jbofi'e to see whether it could take NAI. It could, but I found no
usage of that and no mention in the Book, so it is not mentioned in the
descriptive record I posted to the BPFK forum.